import time
import sys


def elapsed_time_wrapper(unique_id: str = ""):

    def decorator(func):
        def wrapper(*args, **kwargs):
            start_time = time.time()
            result = func(*args, **kwargs)
            end_time = time.time()
            execution_time = end_time - start_time
            if not unique_id == "":
                print(
                    f"[{unique_id}] Executed in {execution_time} seconds",
                    file=sys.stderr,
                )
            else:
                print(f"Executed in {execution_time} seconds", file=sys.stderr)
            return result

        return wrapper

    return decorator


def elapsed_time(func):
    def wrapper(*args, **kwargs):
        start_time = time.time()
        result = func(*args, **kwargs)
        end_time = time.time()
        execution_time = end_time - start_time
        print(
            f"Executed in {execution_time} seconds",
            sep="\n",
        )
        return result

    return wrapper
